clear_global_graph_attrs {DiagrammeR} | R Documentation

## Clear any global graph attributes that are set

### Description

Clear any currently set global graph attributes for a graph object of class `dgr_graph`).

### Usage

    clear_global_graph_attrs(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a graph object of class `dgr_graph`.

### Examples

    # Create a new graph and set some global attributes
    graph <-
      create_graph() %>%
      set_global_graph_attrs(
        attr = "overlap",
        value = "true",
        attr_type = "graph")

    # Clear all global attributes that have been set
    graph <- clear_global_graph_attrs(graph)

    # Look at the present global graph attributes;
    # since there are none, NA is returned
    get_global_graph_attrs(graph)
    #> [1] NA

[Package DiagrammeR version 0.9.2 Index]